/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED BY BPFTOOL! */
#ifndef __XDP_SAMPLE_SKEL_H__
#define __XDP_SAMPLE_SKEL_H__

#include <errno.h>
#include <stdlib.h>
#include <bpf/libbpf.h>

struct xdp_sample {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_map *rodata;
	} maps;
	struct {
		struct bpf_program *tp_xdp_cpumap_kthread;
	} progs;
	struct {
		struct bpf_link *tp_xdp_cpumap_kthread;
	} links;

#ifdef __cplusplus
	static inline struct xdp_sample *open(const struct bpf_object_open_opts *opts = nullptr);
	static inline struct xdp_sample *open_and_load();
	static inline int load(struct xdp_sample *skel);
	static inline int attach(struct xdp_sample *skel);
	static inline void detach(struct xdp_sample *skel);
	static inline void destroy(struct xdp_sample *skel);
	static inline const void *elf_bytes(size_t *sz);
#endif /* __cplusplus */
};

static void
xdp_sample__destroy(struct xdp_sample *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
xdp_sample__create_skeleton(struct xdp_sample *obj);

static inline struct xdp_sample *
xdp_sample__open_opts(const struct bpf_object_open_opts *opts)
{
	struct xdp_sample *obj;
	int err;

	obj = (struct xdp_sample *)calloc(1, sizeof(*obj));
	if (!obj) {
		errno = ENOMEM;
		return NULL;
	}

	err = xdp_sample__create_skeleton(obj);
	if (err)
		goto err_out;

	err = bpf_object__open_skeleton(obj->skeleton, opts);
	if (err)
		goto err_out;

	return obj;
err_out:
	xdp_sample__destroy(obj);
	errno = -err;
	return NULL;
}

static inline struct xdp_sample *
xdp_sample__open(void)
{
	return xdp_sample__open_opts(NULL);
}

static inline int
xdp_sample__load(struct xdp_sample *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct xdp_sample *
xdp_sample__open_and_load(void)
{
	struct xdp_sample *obj;
	int err;

	obj = xdp_sample__open();
	if (!obj)
		return NULL;
	err = xdp_sample__load(obj);
	if (err) {
		xdp_sample__destroy(obj);
		errno = -err;
		return NULL;
	}
	return obj;
}

static inline int
xdp_sample__attach(struct xdp_sample *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
xdp_sample__detach(struct xdp_sample *obj)
{
	bpf_object__detach_skeleton(obj->skeleton);
}

static inline const void *xdp_sample__elf_bytes(size_t *sz);

static inline int
xdp_sample__create_skeleton(struct xdp_sample *obj)
{
	struct bpf_object_skeleton *s;
	int err;

	s = (struct bpf_object_skeleton *)calloc(1, sizeof(*s));
	if (!s)	{
		err = -ENOMEM;
		goto err;
	}

	s->sz = sizeof(*s);
	s->name = "xdp_sample";
	s->obj = &obj->obj;

	/* maps */
	s->map_cnt = 1;
	s->map_skel_sz = sizeof(*s->maps);
	s->maps = (struct bpf_map_skeleton *)calloc(s->map_cnt, s->map_skel_sz);
	if (!s->maps) {
		err = -ENOMEM;
		goto err;
	}

	s->maps[0].name = "xdp_samp.rodata";
	s->maps[0].map = &obj->maps.rodata;

	/* programs */
	s->prog_cnt = 1;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (struct bpf_prog_skeleton *)calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs) {
		err = -ENOMEM;
		goto err;
	}

	s->progs[0].name = "tp_xdp_cpumap_kthread";
	s->progs[0].prog = &obj->progs.tp_xdp_cpumap_kthread;
	s->progs[0].link = &obj->links.tp_xdp_cpumap_kthread;

	s->data = (void *)xdp_sample__elf_bytes(&s->data_sz);

	obj->skeleton = s;
	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return err;
}

static inline const void *xdp_sample__elf_bytes(size_t *sz)
{
	*sz = 6616;
	return (const void *)"\
\x7f\x45\x4c\x46\x02\x02\x01\0\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\0\0\x01\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x13\x18\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x1b\0\
\x01\x79\x21\0\x20\0\0\0\0\x79\x31\0\0\0\0\0\0\x79\x41\0\x08\0\0\0\0\x79\x51\0\
\x10\0\0\0\0\x79\x11\0\x18\0\0\0\0\x67\x10\0\0\0\0\0\x20\xc7\x10\0\0\0\0\0\x20\
\x7b\xa1\xff\xf0\0\0\0\0\x67\x50\0\0\0\0\0\x20\x77\x50\0\0\0\0\0\x20\x7b\xa5\
\xff\xe8\0\0\0\0\x67\x40\0\0\0\0\0\x20\x77\x40\0\0\0\0\0\x20\x7b\xa4\xff\xe0\0\
\0\0\0\x67\x30\0\0\0\0\0\x20\xc7\x30\0\0\0\0\0\x20\x7b\xa3\xff\xd8\0\0\0\0\x61\
\x12\0\x04\0\0\0\0\x7b\xa1\xff\xf8\0\0\0\0\xbf\x3a\0\0\0\0\0\0\x07\x30\0\0\xff\
\xff\xff\xd8\x18\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb7\x20\0\0\0\0\0\x17\xb7\x40\
\0\0\0\0\0\x28\x85\0\0\0\0\0\0\xb1\xb7\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\x47\x50\
\x4c\0\x53\x74\x61\x74\x73\x3a\x20\x25\x64\x20\x25\x75\x20\x25\x75\x20\x25\x64\
\x20\x25\x64\x0a\0\0\0\0\xc9\0\x05\x08\0\0\0\0\x07\0\0\0\x1c\0\0\0\x22\0\0\0\
\x70\0\0\0\x77\0\0\0\x89\0\0\0\x9b\0\0\0\xae\x04\0\x28\x01\x51\0\x04\x28\x50\
\x02\x7a\0\x04\x50\x58\x0a\x93\x08\x7a\x08\x93\x08\x7a\x10\x93\x18\x04\x58\x68\
\x02\x7a\0\x04\x68\x70\x08\x7a\0\x93\x08\x7a\x08\x93\x20\x04\x70\x88\x01\x02\
\x7a\0\x04\x88\x01\x98\x01\x0c\x7a\0\x93\x18\x7a\x18\x93\x08\x7a\x20\x93\x08\
\x04\x98\x01\xe0\x01\x08\x7a\0\x93\x20\x7a\x20\x93\x08\0\x04\x28\xc0\x01\x01\
\x52\0\x04\x28\x30\x0d\x71\0\xa8\xab\x80\x80\0\xa8\xaf\x80\x80\0\x9f\0\x04\x28\
\x78\x0d\x73\0\xa8\xab\x80\x80\0\xa8\xaf\x80\x80\0\x9f\0\x04\x50\xd0\x01\x0d\
\x75\0\xa8\xab\x80\x80\0\xa8\xaf\x80\x80\0\x9f\0\x04\x68\xc8\x01\x0d\x74\0\xa8\
\xab\x80\x80\0\xa8\xaf\x80\x80\0\x9f\0\x01\x11\x01\x25\x25\x13\x05\x03\x25\x72\
\x17\x10\x17\x1b\x25\x11\x1b\x12\x06\x73\x17\x74\x17\x8c\x01\x17\0\0\x02\x24\0\
\x03\x25\x3e\x0b\x0b\x0b\0\0\x03\x34\0\x03\x25\x49\x13\x3f\x19\x3a\x0b\x3b\x0b\
\x02\x18\0\0\x04\x01\x01\x49\x13\0\0\x05\x21\0\x49\x13\x37\x0b\0\0\x06\x24\0\
\x03\x25\x0b\x0b\x3e\x0b\0\0\x07\x2e\x01\0\0\x08\x34\0\x03\x25\x49\x13\x3a\x0b\
\x3b\x0b\x02\x18\0\0\x09\x26\0\x49\x13\0\0\x0a\x34\0\x03\x25\x49\x13\x3a\x0b\
\x3b\x05\0\0\x0b\x0f\0\x49\x13\0\0\x0c\x15\x01\x49\x13\x27\x19\0\0\x0d\x05\0\
\x49\x13\0\0\x0e\x16\0\x49\x13\x03\x25\x3a\x0b\x3b\x0b\0\0\x0f\x26\0\0\0\x10\
\x0f\0\0\0\x11\x2e\x01\x03\x25\x3a\x0b\x3b\x0b\x27\x19\x49\x13\x20\x21\x01\0\0\
\x12\x05\0\x03\x25\x3a\x0b\x3b\x0b\x49\x13\0\0\x13\x0b\x01\0\0\x14\x34\0\x03\
\x25\x3a\x0b\x3b\x0b\x49\x13\0\0\x15\x13\x01\x03\x25\x0b\x0b\x3a\x0b\x3b\x0b\0\
\0\x16\x0d\0\x03\x25\x49\x13\x3a\x0b\x3b\x0b\x38\x0b\0\0\x17\x2e\x01\x11\x1b\
\x12\x06\x40\x18\x7a\x19\x03\x25\x3a\x0b\x3b\x0b\x27\x19\x49\x13\x3f\x19\0\0\
\x18\x05\0\x02\x22\x03\x25\x3a\x0b\x3b\x0b\x49\x13\0\0\x19\x1d\x01\x31\x13\x55\
\x23\x58\x0b\x59\x0b\x57\x0b\0\0\x1a\x05\0\x02\x22\x31\x13\0\0\x1b\x0b\x01\x55\
\x23\0\0\x1c\x34\0\x02\x22\x31\x13\0\0\0\0\0\x01\x7d\0\x05\x01\x08\0\0\0\0\x01\
\0\0\x1d\x01\0\0\0\x08\0\0\0\0\x02\x02\0\0\0\xe0\0\0\0\x08\0\0\0\x0c\0\0\0\x0c\
\x02\x1a\x07\x08\x02\x19\x07\x04\x03\x03\0\0\0\x3e\0\x12\x02\xa1\0\x04\0\0\0\
\x4a\x05\0\0\0\x4e\x04\0\x02\x04\x06\x01\x06\x05\x08\x07\x07\x08\x06\0\0\0\x5f\
\0\x0d\x02\xa1\x01\0\x04\0\0\0\x6b\x05\0\0\0\x4e\x17\0\x09\0\0\0\x4a\x0a\x07\0\
\0\0\x79\x02\x10\x28\x0b\0\0\0\x7e\x0c\0\0\0\x98\x0d\0\0\0\x9c\x0d\0\0\0\xa1\
\x0d\0\0\0\xad\x0d\0\0\0\xa1\0\x02\x08\x05\x08\x0b\0\0\0\x6b\x0e\0\0\0\xa9\x0a\
\x01\x1b\x02\x09\x07\x04\x0b\0\0\0\xb2\x0f\x10\x11\x0b\0\x0a\0\0\0\xf7\x12\x0d\
\0\x0a\0\0\0\xfb\x12\x0f\0\x0a\0\0\0\xf7\x12\x10\0\x0a\0\0\0\xa9\x12\x11\0\x0a\
\0\0\0\xa9\x12\x12\0\x0a\0\0\0\xf7\x12\x13\0\x0a\0\0\x01\x04\x13\x14\x18\0\x0d\
\0\0\x01\x2a\0\0\x02\x0c\x05\x04\x0b\0\0\x01\0\x02\x0e\x07\x08\x0b\0\0\x01\x09\
\x15\x17\x0c\x03\x0c\x16\x14\0\0\0\xa9\x03\x0d\0\x16\x15\0\0\0\xa9\x03\x0e\x04\
\x16\x16\0\0\0\xa9\x03\x0f\x08\0\x04\0\0\x01\0\x05\0\0\0\x4e\x05\0\x17\x02\0\0\
\0\xe0\x01\x5a\x1b\0\x0a\0\0\0\xf7\x18\0\x0d\0\x0a\0\0\0\xfb\x19\0\0\0\xb4\0\0\
\x0a\x05\x1a\x04\0\0\0\xc4\x1a\x06\0\0\0\xcc\x1a\x05\0\0\0\xd4\x1a\x03\0\0\0\
\xdc\x1a\x02\0\0\0\xe4\x1b\x01\x1c\x01\0\0\0\xed\0\0\0\0\0\0\0\x30\0\x05\x08\0\
\0\0\0\x02\0\0\0\x08\0\0\0\x18\x04\x28\x40\x04\x50\x58\x04\x68\xa0\x01\x04\xa8\
\x01\xd0\x01\0\x04\x28\x40\x04\x50\x58\x04\x68\xa0\x01\x04\xa8\x01\xd0\x01\0\0\
\0\0\x74\0\x05\0\0\0\0\0\0\0\0\0\x15\0\0\0\x26\0\0\0\x5b\0\0\0\x64\0\0\0\x69\0\
\0\0\x7d\0\0\0\x84\0\0\0\x96\0\0\0\x9b\0\0\0\xa8\0\0\0\xae\0\0\0\xc8\0\0\0\xcc\
\0\0\0\xd0\0\0\0\xe3\0\0\0\xea\0\0\0\xf4\0\0\0\xfa\0\0\x01\0\0\0\x01\x0a\0\0\
\x01\x13\0\0\x01\x18\0\0\x01\x1d\0\0\x01\x2e\0\0\x01\x37\0\0\x01\x4a\0\0\x01\
\x5d\x63\x6c\x61\x6e\x67\x20\x76\x65\x72\x73\x69\x6f\x6e\x20\x31\x37\x2e\x30\
\x2e\x36\0\x78\x64\x70\x5f\x73\x61\x6d\x70\x6c\x65\x2e\x62\x70\x66\x2e\x63\0\
\x2f\x68\x6f\x6d\x65\x2f\x61\x62\x75\x69\x6c\x64\x2f\x72\x70\x6d\x62\x75\x69\
\x6c\x64\x2f\x42\x55\x49\x4c\x44\x2f\x78\x64\x70\x2d\x74\x6f\x6f\x6c\x73\x2d\
\x31\x2e\x33\x2e\x31\x2f\x6c\x69\x62\x2f\x75\x74\x69\x6c\0\x5f\x6c\x69\x63\x65\
\x6e\x73\x65\0\x63\x68\x61\x72\0\x5f\x5f\x41\x52\x52\x41\x59\x5f\x53\x49\x5a\
\x45\x5f\x54\x59\x50\x45\x5f\x5f\0\x5f\x5f\x5f\x66\x6d\x74\0\x62\x70\x66\x5f\
\x74\x72\x61\x63\x65\x5f\x76\x70\x72\x69\x6e\x74\x6b\0\x6c\x6f\x6e\x67\0\x75\
\x6e\x73\x69\x67\x6e\x65\x64\x20\x69\x6e\x74\0\x5f\x5f\x75\x33\x32\0\x5f\x5f\
\x5f\x5f\x74\x70\x5f\x78\x64\x70\x5f\x63\x70\x75\x6d\x61\x70\x5f\x6b\x74\x68\
\x72\x65\x61\x64\0\x69\x6e\x74\0\x63\x74\x78\0\x75\x6e\x73\x69\x67\x6e\x65\x64\
\x20\x6c\x6f\x6e\x67\x20\x6c\x6f\x6e\x67\0\x6d\x61\x70\x5f\x69\x64\0\x70\x72\
\x6f\x63\x65\x73\x73\x65\x64\0\x64\x72\x6f\x70\x73\0\x73\x63\x68\x65\x64\0\x78\
\x64\x70\x5f\x73\x74\x61\x74\x73\0\x72\x65\x64\x69\x72\x65\x63\x74\0\x70\x61\
\x73\x73\0\x64\x72\x6f\x70\0\x78\x64\x70\x5f\x63\x70\x75\x6d\x61\x70\x5f\x73\
\x74\x61\x74\x73\0\x5f\x5f\x5f\x70\x61\x72\x61\x6d\0\x44\x57\x5f\x41\x54\x45\
\x5f\x75\x6e\x73\x69\x67\x6e\x65\x64\x5f\x33\x32\0\x44\x57\x5f\x41\x54\x45\x5f\
\x75\x6e\x73\x69\x67\x6e\x65\x64\x5f\x36\x34\0\x74\x70\x5f\x78\x64\x70\x5f\x63\
\x70\x75\x6d\x61\x70\x5f\x6b\x74\x68\x72\x65\x61\x64\0\0\0\0\x1c\0\x05\x08\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xeb\x9f\x01\0\0\0\0\x18\0\0\0\
\0\0\0\x01\x38\0\0\x01\x38\0\0\x01\x89\0\0\0\0\x02\0\0\0\0\0\0\x02\0\0\0\x01\
\x01\0\0\0\0\0\0\x08\0\0\0\x40\0\0\0\0\x0d\0\0\x01\0\0\0\x04\0\0\0\x14\0\0\0\
\x01\0\0\0\x18\x01\0\0\0\0\0\0\x04\x01\0\0\x20\0\0\0\x1c\x0c\0\0\x01\0\0\0\x03\
\0\0\x01\x01\x04\0\0\x03\0\0\0\x0c\0\0\x01\x12\0\0\0\x07\0\0\0\0\0\0\x01\x1b\0\
\0\0\x07\0\0\0\x20\0\0\x01\x20\0\0\0\x07\0\0\0\x40\0\0\x01\x25\x01\0\0\0\0\0\0\
\x04\0\0\0\x20\0\0\x01\x36\x01\0\0\0\0\0\0\x01\x01\0\0\x08\0\0\0\0\x03\0\0\0\0\
\0\0\0\0\0\0\x08\0\0\0\x0a\0\0\0\x04\0\0\x01\x3b\x01\0\0\0\0\0\0\x04\0\0\0\x20\
\0\0\x01\x4f\x0e\0\0\0\0\0\0\x09\0\0\0\x01\0\0\0\0\x0a\0\0\0\0\0\0\x08\0\0\0\0\
\x03\0\0\0\0\0\0\0\0\0\0\x0c\0\0\0\x0a\0\0\0\x17\0\0\x01\x58\x0e\0\0\0\0\0\0\
\x0d\0\0\0\0\0\0\x01\x79\x0f\0\0\x01\0\0\0\0\0\0\0\x0e\0\0\0\0\0\0\0\x17\0\0\
\x01\x81\x0f\0\0\x01\0\0\0\0\0\0\0\x0b\0\0\0\0\0\0\0\x04\0\x75\x6e\x73\x69\x67\
\x6e\x65\x64\x20\x6c\x6f\x6e\x67\x20\x6c\x6f\x6e\x67\0\x63\x74\x78\0\x69\x6e\
\x74\0\x74\x70\x5f\x78\x64\x70\x5f\x63\x70\x75\x6d\x61\x70\x5f\x6b\x74\x68\x72\
\x65\x61\x64\0\x74\x70\x5f\x62\x74\x66\x2f\x78\x64\x70\x5f\x63\x70\x75\x6d\x61\
\x70\x5f\x6b\x74\x68\x72\x65\x61\x64\0\x2f\x68\x6f\x6d\x65\x2f\x61\x62\x75\x69\
\x6c\x64\x2f\x72\x70\x6d\x62\x75\x69\x6c\x64\x2f\x42\x55\x49\x4c\x44\x2f\x78\
\x64\x70\x2d\x74\x6f\x6f\x6c\x73\x2d\x31\x2e\x33\x2e\x31\x2f\x6c\x69\x62\x2f\
\x75\x74\x69\x6c\x2f\x78\x64\x70\x5f\x73\x61\x6d\x70\x6c\x65\x2e\x62\x70\x66\
\x2e\x63\0\x69\x6e\x74\x20\x42\x50\x46\x5f\x50\x52\x4f\x47\x28\x74\x70\x5f\x78\
\x64\x70\x5f\x63\x70\x75\x6d\x61\x70\x5f\x6b\x74\x68\x72\x65\x61\x64\x2c\x20\
\x69\x6e\x74\x20\x6d\x61\x70\x5f\x69\x64\x2c\x20\x75\x6e\x73\x69\x67\x6e\x65\
\x64\x20\x69\x6e\x74\x20\x70\x72\x6f\x63\x65\x73\x73\x65\x64\x2c\0\x09\x62\x70\
\x66\x5f\x70\x72\x69\x6e\x74\x6b\x28\x22\x53\x74\x61\x74\x73\x3a\x20\x25\x64\
\x20\x25\x75\x20\x25\x75\x20\x25\x64\x20\x25\x64\x5c\x6e\x22\x2c\0\x78\x64\x70\
\x5f\x63\x70\x75\x6d\x61\x70\x5f\x73\x74\x61\x74\x73\0\x72\x65\x64\x69\x72\x65\
\x63\x74\0\x70\x61\x73\x73\0\x64\x72\x6f\x70\0\x75\x6e\x73\x69\x67\x6e\x65\x64\
\x20\x69\x6e\x74\0\x30\x3a\x31\0\x63\x68\x61\x72\0\x5f\x5f\x41\x52\x52\x41\x59\
\x5f\x53\x49\x5a\x45\x5f\x54\x59\x50\x45\x5f\x5f\0\x5f\x6c\x69\x63\x65\x6e\x73\
\x65\0\x5f\x5f\x5f\x5f\x74\x70\x5f\x78\x64\x70\x5f\x63\x70\x75\x6d\x61\x70\x5f\
\x6b\x74\x68\x72\x65\x61\x64\x2e\x5f\x5f\x5f\x66\x6d\x74\0\x2e\x72\x6f\x64\x61\
\x74\x61\0\x6c\x69\x63\x65\x6e\x73\x65\0\0\0\0\xeb\x9f\x01\0\0\0\0\x20\0\0\0\0\
\0\0\0\x14\0\0\0\x14\0\0\0\x9c\0\0\0\xb0\0\0\0\x1c\0\0\0\x08\0\0\0\x32\0\0\0\
\x01\0\0\0\0\0\0\0\x05\0\0\0\x10\0\0\0\x32\0\0\0\x09\0\0\0\0\0\0\0\x4c\0\0\0\
\x92\0\0\x28\x05\0\0\0\x28\0\0\0\x4c\0\0\0\xda\0\0\x34\x02\0\0\0\x40\0\0\0\x4c\
\0\0\0\x92\0\0\x28\x05\0\0\0\x50\0\0\0\x4c\0\0\0\xda\0\0\x34\x02\0\0\0\x58\0\0\
\0\x4c\0\0\0\x92\0\0\x28\x05\0\0\0\x68\0\0\0\x4c\0\0\0\xda\0\0\x34\x02\0\0\0\
\xa0\0\0\0\x4c\0\0\0\0\0\0\0\0\0\0\0\xa8\0\0\0\x4c\0\0\0\xda\0\0\x34\x02\0\0\0\
\xd0\0\0\0\x4c\0\0\0\x92\0\0\x28\x05\0\0\0\x10\0\0\0\x32\0\0\0\x01\0\0\0\x88\0\
\0\0\x06\0\0\x01\x32\0\0\0\0\0\0\0\x0c\xff\xff\xff\xff\x04\0\x08\0\x08\x7c\x0b\
\0\0\0\0\x14\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xe0\0\0\0\xbc\0\x05\x08\0\0\
\0\0\x82\x08\x01\x01\xfb\x0e\x0d\0\x01\x01\x01\x01\0\0\0\x01\0\0\x01\x01\x01\
\x1f\x04\0\0\0\0\0\0\0\x35\0\0\0\x4e\0\0\0\x5f\x03\x01\x1f\x02\x0f\x05\x1e\x04\
\0\0\0\x71\0\x2c\x08\x6e\xd1\x10\xff\xbd\xab\xf7\x0f\x14\x55\xfb\x18\xce\x01\0\
\0\0\x82\x01\xb8\x10\xf2\x70\x73\x3e\x10\x63\x19\xb6\x7e\xf5\x12\xc6\x24\x6e\0\
\0\0\x8d\x02\x74\x22\xca\x06\xc9\xdc\x86\xeb\xa2\xf2\x68\xa5\x7d\x8a\xcf\x2f\0\
\0\0\x9f\x03\x0e\xca\x27\x36\x9e\x78\xbb\x57\xf0\xef\xa8\xf0\x77\xa3\x05\x99\
\x04\0\x05\x05\x0a\0\x09\x02\0\0\0\0\0\0\0\0\x03\x09\x01\x05\x02\x5b\x05\x05\
\x39\x05\x02\x31\x05\x05\x1d\x05\x02\x31\x06\x03\x73\x66\x03\x0d\x2e\x05\x05\
\x06\x55\x02\x02\0\x01\x01\x2f\x68\x6f\x6d\x65\x2f\x61\x62\x75\x69\x6c\x64\x2f\
\x72\x70\x6d\x62\x75\x69\x6c\x64\x2f\x42\x55\x49\x4c\x44\x2f\x78\x64\x70\x2d\
\x74\x6f\x6f\x6c\x73\x2d\x31\x2e\x33\x2e\x31\x2f\x6c\x69\x62\x2f\x75\x74\x69\
\x6c\0\x2f\x75\x73\x72\x2f\x69\x6e\x63\x6c\x75\x64\x65\x2f\x61\x73\x6d\x2d\x67\
\x65\x6e\x65\x72\x69\x63\0\x2f\x75\x73\x72\x2f\x69\x6e\x63\x6c\x75\x64\x65\x2f\
\x62\x70\x66\0\x2e\x2e\x2f\x2e\x2e\x2f\x68\x65\x61\x64\x65\x72\x73\x2f\x62\x70\
\x66\0\x78\x64\x70\x5f\x73\x61\x6d\x70\x6c\x65\x2e\x62\x70\x66\x2e\x63\0\x69\
\x6e\x74\x2d\x6c\x6c\x36\x34\x2e\x68\0\x62\x70\x66\x5f\x68\x65\x6c\x70\x65\x72\
\x5f\x64\x65\x66\x73\x2e\x68\0\x76\x6d\x6c\x69\x6e\x75\x78\x2e\x68\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\x13\x04\0\xff\xf1\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\x22\x01\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x17\0\0\0\0\x03\0\0\
\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\0\x07\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\x03\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\0\
\x0b\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\0\x0c\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\x03\0\0\x0e\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\0\
\x0f\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\0\x15\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\x03\0\0\x17\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\0\
\x19\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xdf\x12\0\0\x03\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\xe0\0\0\0\xb5\x11\0\0\x05\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\
\0\0\0\xa8\0\0\0\x04\0\0\0\x01\0\0\0\0\0\0\0\x08\0\0\0\x06\0\0\0\x03\0\0\0\0\0\
\0\0\x11\0\0\0\x08\0\0\0\x03\0\0\0\0\0\0\0\x15\0\0\0\x0c\0\0\0\x03\0\0\0\0\0\0\
\0\x1f\0\0\0\x0a\0\0\0\x03\0\0\0\0\0\0\0\x23\0\0\0\x07\0\0\0\x03\0\0\0\0\0\0\0\
\x27\0\0\0\x05\0\0\0\x03\0\0\0\0\0\0\0\x08\0\0\0\x09\0\0\0\x03\0\0\0\0\0\0\0\
\x0c\0\0\0\x09\0\0\0\x03\0\0\0\0\0\0\0\x10\0\0\0\x09\0\0\0\x03\0\0\0\0\0\0\0\
\x14\0\0\0\x09\0\0\0\x03\0\0\0\0\0\0\0\x18\0\0\0\x09\0\0\0\x03\0\0\0\0\0\0\0\
\x1c\0\0\0\x09\0\0\0\x03\0\0\0\0\0\0\0\x20\0\0\0\x09\0\0\0\x03\0\0\0\0\0\0\0\
\x24\0\0\0\x09\0\0\0\x03\0\0\0\0\0\0\0\x28\0\0\0\x09\0\0\0\x03\0\0\0\0\0\0\0\
\x2c\0\0\0\x09\0\0\0\x03\0\0\0\0\0\0\0\x30\0\0\0\x09\0\0\0\x03\0\0\0\0\0\0\0\
\x34\0\0\0\x09\0\0\0\x03\0\0\0\0\0\0\0\x38\0\0\0\x09\0\0\0\x03\0\0\0\0\0\0\0\
\x3c\0\0\0\x09\0\0\0\x03\0\0\0\0\0\0\0\x40\0\0\0\x09\0\0\0\x03\0\0\0\0\0\0\0\
\x44\0\0\0\x09\0\0\0\x03\0\0\0\0\0\0\0\x48\0\0\0\x09\0\0\0\x03\0\0\0\0\0\0\0\
\x4c\0\0\0\x09\0\0\0\x03\0\0\0\0\0\0\0\x50\0\0\0\x09\0\0\0\x03\0\0\0\0\0\0\0\
\x54\0\0\0\x09\0\0\0\x03\0\0\0\0\0\0\0\x58\0\0\0\x09\0\0\0\x03\0\0\0\0\0\0\0\
\x5c\0\0\0\x09\0\0\0\x03\0\0\0\0\0\0\0\x60\0\0\0\x09\0\0\0\x03\0\0\0\0\0\0\0\
\x64\0\0\0\x09\0\0\0\x03\0\0\0\0\0\0\0\x68\0\0\0\x09\0\0\0\x03\0\0\0\0\0\0\0\
\x6c\0\0\0\x09\0\0\0\x03\0\0\0\0\0\0\0\x70\0\0\0\x09\0\0\0\x03\0\0\0\0\0\0\0\
\x74\0\0\0\x09\0\0\0\x03\0\0\0\0\0\0\0\x08\0\0\0\x0f\0\0\0\x02\0\0\0\0\0\0\0\
\x10\0\0\0\x04\0\0\0\x02\0\0\0\0\0\0\0\x18\0\0\0\x02\0\0\0\x02\0\0\0\0\0\0\x01\
\x30\0\0\0\x04\0\0\0\x03\0\0\0\0\0\0\x01\x48\0\0\0\x0f\0\0\0\x04\0\0\0\0\0\0\0\
\x2c\0\0\0\x02\0\0\0\x04\0\0\0\0\0\0\0\x40\0\0\0\x02\0\0\0\x04\0\0\0\0\0\0\0\
\x50\0\0\0\x02\0\0\0\x04\0\0\0\0\0\0\0\x60\0\0\0\x02\0\0\0\x04\0\0\0\0\0\0\0\
\x70\0\0\0\x02\0\0\0\x04\0\0\0\0\0\0\0\x80\0\0\0\x02\0\0\0\x04\0\0\0\0\0\0\0\
\x90\0\0\0\x02\0\0\0\x04\0\0\0\0\0\0\0\xa0\0\0\0\x02\0\0\0\x04\0\0\0\0\0\0\0\
\xb0\0\0\0\x02\0\0\0\x04\0\0\0\0\0\0\0\xc0\0\0\0\x02\0\0\0\x04\0\0\0\0\0\0\0\
\xdc\0\0\0\x02\0\0\0\x04\0\0\0\0\0\0\0\x14\0\0\0\x0b\0\0\0\x03\0\0\0\0\0\0\0\
\x18\0\0\0\x02\0\0\0\x02\0\0\0\0\0\0\0\x22\0\0\0\x0d\0\0\0\x03\0\0\0\0\0\0\0\
\x26\0\0\0\x0d\0\0\0\x03\0\0\0\0\0\0\0\x2a\0\0\0\x0d\0\0\0\x03\0\0\0\0\0\0\0\
\x2e\0\0\0\x0d\0\0\0\x03\0\0\0\0\0\0\0\x3a\0\0\0\x0d\0\0\0\x03\0\0\0\0\0\0\0\
\x4f\0\0\0\x0d\0\0\0\x03\0\0\0\0\0\0\0\x64\0\0\0\x0d\0\0\0\x03\0\0\0\0\0\0\0\
\x79\0\0\0\x0d\0\0\0\x03\0\0\0\0\0\0\0\x96\0\0\0\x02\0\0\0\x02\0\x2e\x64\x65\
\x62\x75\x67\x5f\x61\x62\x62\x72\x65\x76\0\x2e\x74\x65\x78\x74\0\x2e\x72\x65\
\x6c\x2e\x42\x54\x46\x2e\x65\x78\x74\0\x5f\x5f\x5f\x5f\x74\x70\x5f\x78\x64\x70\
\x5f\x63\x70\x75\x6d\x61\x70\x5f\x6b\x74\x68\x72\x65\x61\x64\x2e\x5f\x5f\x5f\
\x66\x6d\x74\0\x2e\x64\x65\x62\x75\x67\x5f\x72\x6e\x67\x6c\x69\x73\x74\x73\0\
\x2e\x64\x65\x62\x75\x67\x5f\x6c\x6f\x63\x6c\x69\x73\x74\x73\0\x2e\x72\x65\x6c\
\x2e\x64\x65\x62\x75\x67\x5f\x73\x74\x72\x5f\x6f\x66\x66\x73\x65\x74\x73\0\x2e\
\x64\x65\x62\x75\x67\x5f\x73\x74\x72\0\x2e\x64\x65\x62\x75\x67\x5f\x6c\x69\x6e\
\x65\x5f\x73\x74\x72\0\x2e\x72\x65\x6c\x2e\x64\x65\x62\x75\x67\x5f\x61\x64\x64\
\x72\0\x2e\x72\x65\x6c\x2e\x64\x65\x62\x75\x67\x5f\x69\x6e\x66\x6f\0\x5f\x6c\
\x69\x63\x65\x6e\x73\x65\0\x2e\x72\x65\x6c\x2e\x64\x65\x62\x75\x67\x5f\x6c\x69\
\x6e\x65\0\x2e\x72\x65\x6c\x2e\x64\x65\x62\x75\x67\x5f\x66\x72\x61\x6d\x65\0\
\x74\x70\x5f\x78\x64\x70\x5f\x63\x70\x75\x6d\x61\x70\x5f\x6b\x74\x68\x72\x65\
\x61\x64\0\x2e\x72\x65\x6c\x74\x70\x5f\x62\x74\x66\x2f\x78\x64\x70\x5f\x63\x70\
\x75\x6d\x61\x70\x5f\x6b\x74\x68\x72\x65\x61\x64\0\x78\x64\x70\x5f\x73\x61\x6d\
\x70\x6c\x65\x2e\x62\x70\x66\x2e\x63\0\x2e\x73\x74\x72\x74\x61\x62\0\x2e\x73\
\x79\x6d\x74\x61\x62\0\x2e\x72\x6f\x64\x61\x74\x61\0\x2e\x72\x65\x6c\x2e\x42\
\x54\x46\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\x24\
\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x11\xd0\0\0\0\0\0\0\x01\
\x45\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\x0f\0\0\0\x01\0\0\
\0\0\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\xf9\0\0\0\x01\0\0\0\0\0\0\0\x06\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\xe0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x08\0\0\0\0\0\0\0\0\0\0\0\xf5\0\0\0\x09\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\x0d\xf0\0\0\0\0\0\0\0\x10\0\0\0\x1a\0\0\0\x03\0\0\0\0\0\0\0\x08\0\0\0\
\0\0\0\0\x10\0\0\0\xb6\0\0\0\x01\0\0\0\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x01\x20\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\
\0\x01\x34\0\0\0\x01\0\0\0\0\0\0\0\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\x24\0\0\
\0\0\0\0\0\x17\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\x53\0\0\
\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\x3b\0\0\0\0\0\0\0\xcd\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\x01\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x02\x08\0\0\0\0\0\0\x01\x47\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\xa9\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x03\x4f\0\0\0\0\0\0\x01\x81\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x01\0\0\0\0\0\0\0\0\0\0\0\xa5\0\0\0\x09\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\x0e\0\0\0\0\0\0\0\0\x60\0\0\0\x1a\0\0\0\x09\0\0\0\0\0\0\0\x08\0\0\0\0\
\0\0\0\x10\0\0\0\x43\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x04\
\xd0\0\0\0\0\0\0\0\x34\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\
\x67\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x05\x04\0\0\0\0\0\0\
\0\x78\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\x63\0\0\0\x09\0\
\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x0e\x60\0\0\0\0\0\0\x01\xc0\0\0\0\
\x1a\0\0\0\x0c\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\x7a\0\0\0\x01\0\0\0\0\
\0\0\0\x30\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x05\x7c\0\0\0\0\0\0\x01\x73\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\x01\0\0\0\x99\0\0\0\x01\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x06\xef\0\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\x95\0\0\0\x09\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\x10\x20\0\0\0\0\0\0\0\x30\0\0\0\x1a\0\0\0\x0f\0\0\0\0\0\0\0\x08\0\
\0\0\0\0\0\0\x10\0\0\x01\x40\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\x07\x10\0\0\0\0\0\0\x02\xd9\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\
\0\0\0\0\x01\x3c\0\0\0\x09\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x10\
\x50\0\0\0\0\0\0\0\x20\0\0\0\x1a\0\0\0\x11\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x10\
\0\0\0\x19\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x09\xec\0\0\0\
\0\0\0\0\xec\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\x15\0\0\0\
\x09\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x10\x70\0\0\0\0\0\0\0\xb0\0\
\0\0\x1a\0\0\0\x13\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\xd2\0\0\0\x01\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x0a\xd8\0\0\0\0\0\0\0\x28\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\xce\0\0\0\x09\0\0\0\0\0\0\0\x40\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x11\x20\0\0\0\0\0\0\0\x20\0\0\0\x1a\0\0\0\x15\0\0\0\
\0\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\xc2\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\x0b\0\0\0\0\0\0\0\0\xc0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\
\0\0\0\0\0\0\0\0\0\xbe\0\0\0\x09\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x11\x40\0\0\0\0\0\0\0\x90\0\0\0\x1a\0\0\0\x17\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\
\x10\0\0\0\x85\0\0\0\x01\0\0\0\0\0\0\0\x30\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x0b\xc0\
\0\0\0\0\0\0\0\xa9\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\x01\0\0\x01\
\x2c\0\0\0\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x0c\x70\0\0\0\0\0\0\
\x01\x80\0\0\0\x01\0\0\0\x0e\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x18";
}

#ifdef __cplusplus
struct xdp_sample *xdp_sample::open(const struct bpf_object_open_opts *opts) { return xdp_sample__open_opts(opts); }
struct xdp_sample *xdp_sample::open_and_load() { return xdp_sample__open_and_load(); }
int xdp_sample::load(struct xdp_sample *skel) { return xdp_sample__load(skel); }
int xdp_sample::attach(struct xdp_sample *skel) { return xdp_sample__attach(skel); }
void xdp_sample::detach(struct xdp_sample *skel) { xdp_sample__detach(skel); }
void xdp_sample::destroy(struct xdp_sample *skel) { xdp_sample__destroy(skel); }
const void *xdp_sample::elf_bytes(size_t *sz) { return xdp_sample__elf_bytes(sz); }
#endif /* __cplusplus */

__attribute__((unused)) static void
xdp_sample__assert(struct xdp_sample *s __attribute__((unused)))
{
#ifdef __cplusplus
#define _Static_assert static_assert
#endif
#ifdef __cplusplus
#undef _Static_assert
#endif
}

#endif /* __XDP_SAMPLE_SKEL_H__ */
